#!/bin/bash

# Este script extrae las fotos de los alumnos de la ficha de alumno
# de ITACA y genera un archivo con extension NIA.png

if [ $# -eq 0 ]; then
    echo "USE: pdf2NIA <ruta-PDF-ITACA>"
    echo "El resultado se genera en la carpeta img-NIA"
    exit 1
fi


#pasamos el PDF a html
echo "Procesando PDF..."
pdftohtml $1 temp.html

#obtenemos las imágenes del html
echo "Generando IMÁGENES..."

#creamos carpeta output
mkdir img-NIA

cd temp.html
#para cada HTML
for f in *.html 
do
# Obtenemos el NIA
u=$(cat $f | grep NIA) 
nia=${u:245:8} 

#recortamos imagen
convert $(echo $f | cut -d"." -f1).png -crop 145x175+1000+225 ../img-NIA/$nia.png
done

# Volvemos y eliminamos temp
cd ..
rm -r temp.html

echo "FINALIZADO: La carpeta img-NIA contiene las imágenes obtenidas"
